/*
 * Copyright (c) 2009 Marc Lagrange <rhaamo@gruik.at>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/* various defines */
#define	HWSTAT_VERSION "0.5"

/* Defines for acpi.c */
#define ACPIDEV		"/dev/acpi"
	/* should be a acpi define, but doesn't appear to be */
#define UNKNOWN_CAP	0xffffffff
#define UNKNOWN_VOLTAGE	0xffffffff

/* hwstat flags */
#define	HWSTAT_CFLAG   (0)      /* flag that do noting */
#define	HWSTAT_FFLAG   (1)      /* show temp in farenheit */
#define	HWSTAT_KFLAG   (2)      /* show temp in kelvin */
#define	HWSTAT_DFLAG   (4)      /* display all infos, and non working devices */
#define	HWSTAT_IFLAG   (8)      /* display with interval */

/* conversion defines */
#define	KELV_ZEROC      273.15
#define	KELV_TO_CEL(x)  ((x) - KELV_ZEROC)
#define	CEL_TO_KEL(x)   ((x) + KELV_ZEROC)
#define	KELV_TO_FAR(x)  ((x) * 1.8 - 459.67)

/* definitions */
void	debug_print(const char *message, unsigned int flags);
int	sysctl_get_int(const char *oid);
void	extended_acpi_battery();
